# -*- coding: utf-8 -*-
from setuphelpers import *

"""
{
    "key": "{89D59DBA-173A-4D13-8AB9-606F132F70FE}",
    "name": "Zimbra Connector for Microsoft Outlook",
    "version": "9.0.0.1941",
    "install_date": "2024-01-12 00:00:00",
    "install_location": "",
    "uninstall_string": "MsiExec.exe /I{89D59DBA-173A-4D13-8AB9-606F132F70FE}",
    "publisher": "Synacor, Inc.",
    "system_component": 0,
    "win64": true,
}

"""


def install():
    bin_name = glob.glob("ZimbraConnectorOLK_*.msi")[0]
    if "x64" in control.architecture:
        app_uninstallkey = "{89D59DBA-173A-4D13-8AB9-606F132F70FE}"
    else:
        app_uninstallkey = "{7B50AD56-1BE7-4006-97E2-B6969930BB5F}"
    try:
        # Installing the software
        install_msi_if_needed(
            bin_name,
            min_version=control.get_software_version(),
            timeout=300,
            key=app_uninstallkey,
        )
    except Exception as e:
        if e.returncode == 1603:
            print(f"INFO: Microsoft Outlook needs to be installed.")
            error(e)
        else:
            error(e)
